IFAPI_KEY Struct Reference

`#include <ifapi_keystore.h>`

## Data Fields

UINT32 | persistent_handle
TPM2B_PUBLIC | public
UINT8_ARY | serialization
UINT8_ARY | private
char * | policyInstance
TPM2B_DIGEST | creationHash
TPM2B_CREATION_DATA | creationData
TPMT_TK_CREATION | creationTicket
char * | description
UINT8_ARY | appData
char * | certificate
TPMT_SIG_SCHEME | signing_scheme
TPM2B_NAME | name
TPMI_YES_NO | with_auth
UINT32 | reset_count
TPMI_YES_NO | delete_prohibited
TPMI_YES_NO | ek_profile
TPM2B_DIGEST | nonce

## Detailed Description

Type for representing a FAPI key

## Field Documentation

## appData

UINT8_ARY appData

Application data

## certificate

char* certificate

Keys certificate (if any)

## creationData

TPM2B_CREATION_DATA creationData

None

## creationHash

TPM2B_DIGEST creationHash

Hash create by Create or CreatePrimary

## creationTicket

TPMT_TK_CREATION creationTicket

None

## delete_prohibited

TPMI_YES_NO delete_prohibited

Persistent object should not be deleted.

## description

char* description

Human readable description of key

## ek_profile

TPMI_YES_NO ek_profile

Has to be set if EK is created according to EK credential profile:

## name

TPM2B_NAME name

Name of the key

## nonce

TPM2B_DIGEST nonce

Nonce used to initialize uniqe data

## persistent_handle

UINT32 persistent_handle

Persistent TPM Handle

## policyInstance

char* policyInstance

Keys policy

## private

UINT8_ARY private

None

## public

TPM2B_PUBLIC public

The wrapped public portion of the object

## reset_count

UINT32 reset_count

The TPM reset count during key creation

## serialization

UINT8_ARY serialization

None

## signing_scheme

TPMT_SIG_SCHEME signing_scheme

Signing scheme for the key

## with_auth

TPMI_YES_NO with_auth

Authorization provided during creation

The documentation for this struct was generated from the following file:

- src/tss2-fapi/ifapi_keystore.h